umbrello: CodeImpThread Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
CodeImpThread Class Reference

`#include <codeimpthread.h>`

Inheritance diagram for CodeImpThread:

## Public Slots
virtual void | run ()
int | emitAskQuestion (const QString &question)
void | emitMessageToLog (const QString &file, const QString &text)

## Signals
void | askQuestion (const QString &question, int &answer)
void | messageToWiz (const QString &file, const QString &text)
void | messageToLog (const QString &file, const QString &text)
void | messageToApp (const QString &text)
void | aborted ()
void | failed ()
void | finished (bool noError)

## Public Member Functions
| CodeImpThread (QFileInfo &file, QObject *parent=0)
virtual | ~CodeImpThread ()

## Private Slots
void | questionAsked (const QString &question, int &answer)

## Private Attributes
QFileInfo & | m_file

## Detailed Description

Thread class that does the code import work for one file. TODO: For a start it is only a QObject and is used to signals messages.

Author
  Andi Fischer

## Constructor & Destructor Documentation

## ◆ CodeImpThread()

CodeImpThread::CodeImpThread | ( | QFileInfo & | file,
|  | QObject * | parent = `0`
| ) |  |
| explicit

Constructor.

Parameters

  parent | QObject which acts as parent to this CodeImpThread
  file | File to import for which the thread shall be spawned

## ◆ ~CodeImpThread()

CodeImpThread::~CodeImpThread | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ aborted

void CodeImpThread::aborted | ( |  | ) |
| signal

## ◆ askQuestion

void CodeImpThread::askQuestion | ( | const QString & | question,
|  | int & | answer
| ) |  |
| signal

## ◆ emitAskQuestion

int CodeImpThread::emitAskQuestion | ( | const QString & | question | ) |
| slot

Emit a signal to the main gui thread to show a question box.

Parameters

  question | the text of the question

Returns
  the code of the answer button KMessageBox::ButtonCode

## ◆ emitMessageToLog

void CodeImpThread::emitMessageToLog | ( | const QString & | file,
|  | const QString & | text
| ) |  |
| slot

Emit a signal to the main gui thread to write a log text to the log widget.

Parameters

  file | the file that is in work
  text | the text which has to be added to the log widget

## ◆ failed

void CodeImpThread::failed | ( |  | ) |
| signal

## ◆ finished

void CodeImpThread::finished | ( | bool | noError | ) |
| signal

## ◆ messageToApp

void CodeImpThread::messageToApp | ( | const QString & | text | ) |
| signal

## ◆ messageToLog

void CodeImpThread::messageToLog | ( | const QString & | file,
|  | const QString & | text
| ) |  |
| signal

## ◆ messageToWiz

void CodeImpThread::messageToWiz | ( | const QString & | file,
|  | const QString & | text
| ) |  |
| signal

## ◆ questionAsked

void CodeImpThread::questionAsked | ( | const QString & | question,
|  | int & | answer
| ) |  |
| privateslot

Slot for signal askQuestion.

Parameters

  question | the question to ask
  answer | the pressed answer button code

See also
  KMessageBox::ButtonCode

## ◆ run

void CodeImpThread::run | ( |  | ) |
| virtualslot

Thread run method.

## Member Data Documentation

## ◆ m_file

QFileInfo& CodeImpThread::m_file
| private

The documentation for this class was generated from the following files:

- umbrello/codeimpwizard/codeimpthread.h
- umbrello/codeimpwizard/codeimpthread.cpp